#ifndef CLOCALMIRROR_H
#define CLOCALMIRROR_H
#include <gtkmm.h>

// Allows the user to choose a directory for the local package mirror.
// This can be a mirror with a PACKAGES.TXT file in it, but if it is
// not, the directory will simply be recursively searched for files.
// See COPYING for license information.

class CLocalMirror
{
public:
	CLocalMirror();
	Glib::ustring	Choose();
};

CLocalMirror::CLocalMirror()
{
}

Glib::ustring CLocalMirror::Choose()
{
	Gtk::FileChooserDialog	_fdlg("Choose a directory", Gtk::FILE_CHOOSER_ACTION_SELECT_FOLDER);
	_fdlg.add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
	_fdlg.add_button(Gtk::Stock::OPEN, Gtk::RESPONSE_OK);

	if ( _fdlg.run() != Gtk::RESPONSE_OK )
		return Glib::ustring("");

	return "local://" + _fdlg.get_filename();
}

#endif
